eth_getFilterChanges

Parameters

  1. QUANTITY - ID of the filter.

Returns

  • For filters created with eth_newFilter, returns a list of log Objects. Each log object contains the following fields:

    FieldTypeDescription
    removedTAGtrue if the log was removed due to a chain reorganization; false if it is a valid log.
    logIndexQUANTITYIndex position of the log in the block. null if the log is pending.
    transactionIndexQUANTITYIndex position of the transaction that created the log. null if the log is pending.
    transactionHashDATA, 32 BytesHash of the transaction from which this log was generated.
    blockHashDATA, 32 BytesHash of the block containing this log. null if the log is pending.
    blockNumberQUANTITYBlock number containing this log.
    addressDATA, 32 BytesAddress from which this log originated.
    dataDATAContains one or more 32-byte non-indexed arguments of the log.
    topicsDATA[]An array of event topics and indexed arguments.
  • For filters created with eth_newBlockFilter, the return value is an array of block hashes (DATA, 32 bytes each).


Example

Request

curl -X POST 'https://api.shasta.trongrid.io/jsonrpc' --data '{
    "jsonrpc": "2.0",
    "method": "eth_getFilterChanges",
    "params": [
        "0xc11a84d5e906ecb9f5c1eb65ee940b154ad37dce8f5ac29c80764508b901d996"
    ],
    "id": 71
}'

Response

{
    "jsonrpc": "2.0",
    "id": 71,
    "error": {
        "code": -32000,
        "message": "filter not found",
        "data": "{}"
    }
}